/****************************************************************************
 *
 *  Copyright (C) 2012, EBM WebSourcing
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 *
 *****************************************************************************/
package org.ow2.petals.admin;

import org.ow2.petals.admin.api.AdminFactory;
import org.ow2.petals.admin.api.ArtifactAdministration;
import org.ow2.petals.admin.api.ContainerAdministration;
import org.ow2.petals.admin.api.RegistryAdministration;

/**
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 *
 */
public class AdminFactoryMock extends AdminFactory {

    @Override
    public ArtifactAdministration createArtifactAdministration() {
        return new ArtifactAdministrationMock();
    }

    @Override
    public ContainerAdministration createContainerAdministration() {
        return new ContainerAdministrationMock();
    }

    @Override
    public RegistryAdministration createRegistryAdministration() {
        return new RegistryAdministrationMock();
    }

}
