
package org.ow2.petals.admin.api.artifact;

import java.io.IOException;
import java.util.zip.ZipException;

import org.junit.Test;

import static org.junit.Assert.*;

public class ArtifactTest {

    @Test
    public void testEqualsMethod() throws ZipException, ArtifactException, IOException {

        Artifact a1 = ArtifactUtils.createArtifact(ArtifactUtilsTest
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));

        Artifact a2 = ArtifactUtils.createArtifact(ArtifactUtilsTest
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));
        assertTrue(a1.equals(a2));
    }
    
    @Test
    public void testHashCodeMethod() throws ZipException, ArtifactException, IOException {

        Artifact a1 = ArtifactUtils.createArtifact(ArtifactUtilsTest
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));

        Artifact a2 = ArtifactUtils.createArtifact(ArtifactUtilsTest
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));
        assertEquals(a1.hashCode(),a2.hashCode());
    }
}
